/*
** Defines! Global constants.
**
*/

#ifndef CONSTANTS_H
#define CONSTANTS_H

// Version information
#define VERSION 0
#define REVISION 0
#define SUBREVISION 0
#define SUBSUBREVISION 1
#define SUBSUBSUBREVISION 191

// Window size
#define W_WIDTH 640
#define W_HEIGHT 480

// Game board size
#define G_WIDTH 32
#define G_HEIGHT 32

// Game board items
#define G_EMPTY 9999
#define G_ROBOT 0
#define G_BOGUS 1
#define G_KITTEN 2

// Program states
#define DOING_INSTRUCTIONS 0
#define DOING_GAME 1
#define DOING_MESSAGE 2
#define DOING_WIN_MESSAGE 3

//debug info
#define DEBUG_NONE 0        // no debug
#define DEBUG_MINIMAL 1     // important messages only
#define DEBUG_VERBOSE 50    // drown user in debug crap

#define DEBUG_LEVEL DEBUG_NONE

// Amounts of things
#define MAX_MESSAGES 1000   // thats a lot of messages!
#define DEFAULT_BOGUS 20    // default to 20 bogus items
#define MAX_TEXTURES 5

#endif

