/*
** game.h
*/

#ifndef GAME_H
#define GAME_H

typedef struct {
    int texture;    // Replaces char
    float x, y;     // Location on the 2 dimensional game plane
    float ang;      // Only for robot!
    int message;
} screen_object;

typedef struct {
    char str[120];
    float width;
    int len;
} msg_bogus;

bool rfkInitGame( void );
void rfkShutDown( void );
void rfkGameTick( void );
void rfkProcessKey( int code, bool isdown );
msg_bogus rfkGetNki( void );
void rfkEndGame( void );

#endif

